<?php
/**
 * Load Saved Image Gallery settings
 */
$WL_RG_Settings = unserialize( get_option( "WL_IGP_Settings" ) );
if ( count( $WL_RG_Settings ) ) {
	$WL_Hover_Animation     = $WL_RG_Settings['WL_Hover_Animation'];
	$WL_Open_Image_Link_Tab = $WL_RG_Settings['WL_Open_Image_Link_Tab'];
	$WL_Gallery_Layout      = $WL_RG_Settings['WL_Gallery_Layout'];
	$WL_Hover_Color         = $WL_RG_Settings['WL_Hover_Color'];
	$WL_Font_Style          = $WL_RG_Settings['WL_Font_Style'];
	$WL_Image_View_Icon     = $WL_RG_Settings['WL_Image_View_Icon'];
	$WL_Gallery_Title       = $WL_RG_Settings['WL_Gallery_Title'];
	$WL_Hover_Color_Opacity = $WL_RG_Settings['WL_Hover_Color_Opacity'];
	$WL_Custom_CSS          = $WL_RG_Settings['WL_Custom_CSS'];

} else {
	$WL_Hover_Animation     = "fade";
	$WL_Open_Image_Link_Tab = "_blank";
	$WL_Gallery_Layout      = "col-md-6";
	$WL_Hover_Color         = "#37393d";
	$WL_Font_Style          = "Arial";
	$WL_Image_View_Icon     = "far fa-image";
	$WL_Gallery_Title       = "yes";
	$WL_Hover_Color_Opacity = "1";
	$WL_Custom_CSS          = "";
}
?>

    <script>
        jQuery(document).ready(function () {
            var editor = CodeMirror.fromTextArea(document.getElementById("wl-custom-css"), {
                lineNumbers: true,
                styleActiveLine: true,
                matchBrackets: true,
                hint: true,
                theme: 'blackboard',
                lineWrapping: true,
                extraKeys: {"Ctrl-Space": "autocomplete"},
            });
        });
    </script>
    <h2><?php _e( "Responsive Gallery Settings", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></h2>
    <form action="?post_type=responsive-gallery&page=image-gallery-settings" method="post">
        <input type="hidden" id="wl_action" name="wl_action" value="wl-save-settings">
        <table class="form-table">
            <tbody>
            <tr>
                <th scope="row"><label><?php _e( "Image Hover Animation", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
                    <select name="wl-hover-animation" id="wl-hover-animation">
                        <optgroup label="Select Animation">
                            <option value="fade" <?php if ( $WL_Hover_Animation == 'fade' ) {
								echo "selected=selected";
							} ?>><?php _e( "Fade", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></option>
                            <!--<option value="stroke" <?php /*if($WL_Hover_Animation == 'stroke') echo "selected=selected"; */ ?>>Stroke</option>-->
                        </optgroup>
                    </select>
                    <p class="description">
                        <strong><?php _e( "Choose an animation effect apply on mouse hover.", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></strong>
                        (Get More 6 animation effect in plugin, View <a
                                href="http://weblizar.com/plugins/responsive-photo-gallery-pro/"
                                target="_new">detail</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e( "Open Image Link URL In", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
					<?php
					if ( isset( $WL_RG_Settings['WL_Open_Image_Link_Tab'] ) ) {
						$WL_Open_Image_Link_Tab = $WL_RG_Settings['WL_Open_Image_Link_Tab'];
					} else {
						$WL_Open_Image_Link_Tab = "_blank";
					}
					?>
                    <input type="radio" name="wl-open-image-link-tab" id="wl-open-image-link-tab"
                           value="_blank" <?php if ( $WL_Open_Image_Link_Tab == '_blank' ) {
						echo "checked";
					} ?>><?php _e( ' New Tab', WEBLIZAR_RPG_TEXT_DOMAIN ); ?>
                    <input type="radio" name="wl-open-image-link-tab" id="wl-open-image-link-tab"
                           value="_self" <?php if ( $WL_Open_Image_Link_Tab == '_self' ) {
						echo "checked";
					} ?>> <?php _e( ' Same Tab', WEBLIZAR_RPG_TEXT_DOMAIN ); ?>

                    <p class="description"><?php _e( "Open Image link URL in New Tab or Same Tab.", WEBLIZAR_RPG_TEXT_DOMAIN ); ?> </p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e( "Gallery Layout", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
                    <select name="wl-gallery-layout" id="wl-gallery-layout">
                        <optgroup label="Select Gallery Layout">
                            <option value="col-md-6" <?php if ( $WL_Gallery_Layout == 'col-md-6' ) {
								echo "selected=selected";
							} ?>><?php _e( "Two Column", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></option>
                            <option value="col-md-4" <?php if ( $WL_Gallery_Layout == 'col-md-4' ) {
								echo "selected=selected";
							} ?>><?php _e( "Three Column", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></option>
                        </optgroup>
                    </select>
                    <p class="description">
                        <strong><?php _e( "Choose a column layout for image gallery.", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></strong>
                        (Get More Column Layout in plugin, View <a
                                href="http://weblizar.com/plugins/responsive-photo-gallery-pro/"
                                target="_new">detail</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e( "Display Gallery Title", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
                    <input type="radio" name="wl-gallery-title" id="wl-gallery-title"
                           value="yes" <?php if ( $WL_Gallery_Title == 'yes' ) {
						echo "checked";
					} ?>><?php _e( ' Yes', WEBLIZAR_RPG_TEXT_DOMAIN ); ?>
                    <input type="radio" name="wl-gallery-title" id="wl-gallery-title"
                           value="no" <?php if ( $WL_Gallery_Title == 'no' ) {
						echo "checked";
					} ?>><?php _e( ' No', WEBLIZAR_RPG_TEXT_DOMAIN ); ?>

                    <p class="description"><?php _e( "Select yes if you want show gallery title .", WEBLIZAR_RPG_TEXT_DOMAIN ); ?> </p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e( "Hover Color", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
                    <input type="radio" name="wl-hover-color" id="wl-hover-color"
                           value="#74C9BE" <?php if ( $WL_Hover_Color == '#74C9BE' ) {
						echo "checked";
					} ?>> <span
                            style="color: #74C9BE; font-size: large; font-weight: bolder;"><?php _e( "Color 1", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></span>
                    <input type="radio" name="wl-hover-color" id="wl-hover-color"
                           value="#31A3DD" <?php if ( $WL_Hover_Color == '#31A3DD' ) {
						echo "checked";
					} ?>> <span
                            style="color: #31A3DD; font-size: large; font-weight: bolder;"><?php _e( "Color 2", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></span>
                    <input type="radio" name="wl-hover-color" id="wl-hover-color"
                           value="#37393d" <?php if ( $WL_Hover_Color == '#37393d' ) {
						echo "checked";
					} ?>> <span
                            style="color: #37393d; font-size: large; font-weight: bolder;"><?php _e( "Color 3", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></span>
                    <p class="description">
                        <strong><?php _e( "Choose a color apply on mouse hover.", WEBLIZAR_RPG_TEXT_DOMAIN ); ?> </strong>
                        (Get Unlimited Color Scheme for gallery, View <a
                                href="http://weblizar.com/plugins/responsive-photo-gallery-pro/"
                                target="_new">detail</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e( "Hover Color Opacity", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
                    <input type="radio" name="wl-hover-color-opacity" id="wl-hover-color-opacity"
                           value="0.5" <?php if ( $WL_Hover_Color_Opacity == '0.5' ) {
						echo "checked";
					} ?>> <?php _e( 'Yes', WEBLIZAR_RPG_TEXT_DOMAIN ); ?>
                    <input type="radio" name="wl-hover-color-opacity" id="wl-hover-color-opacity"
                           value="1" <?php if ( $WL_Hover_Color_Opacity == '1' ) {
						echo "checked";
					} ?>> <?php _e( 'No', WEBLIZAR_RPG_TEXT_DOMAIN ); ?>

                    <p class="description">
                        <strong><?php _e( "Select yes if you want show gallery title .", WEBLIZAR_RPG_TEXT_DOMAIN ); ?>  </strong>
                        (Get More 10 opacity effect in plugin, View <a
                                href="http://weblizar.com/plugins/responsive-photo-gallery-pro/"
                                target="_new">detail</a> )</p>
                </td>
            </tr>
            <tr>
                <th scope="row"><label><?php _e( "Image View Icon", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
                    <input type="radio" name="wl-image-view-icon" id="wl-image-view-icon"
                           value="far fa-image" <?php if ( $WL_Image_View_Icon == 'far fa-image' ) {
						echo "checked";
					} ?>> <i class="far fa-image fa-3x"></i>
                    <input type="radio" name="wl-image-view-icon" id="wl-image-view-icon"
                           value="fas fa-camera" <?php if ( $WL_Image_View_Icon == 'fas fa-camera' ) {
						echo "checked";
					} ?>> <i class="fas fa-camera fa-3x"></i>
                    <input type="radio" name="wl-image-view-icon" id="wl-image-view-icon"
                           value="fas fa-camera-retro" <?php if ( $WL_Image_View_Icon == 'fas fa-camera-retro' ) {
						echo "checked";
					} ?>> <i class="fas fa-camera-retro fa-3x"></i>
                    <p class="description">
                        <strong><?php _e( "Choose image view icon.", WEBLIZAR_RPG_TEXT_DOMAIN ); ?>  </strong> (Get
                        Unlimited Font Awesome Icon in plugin, View <a
                                href="http://weblizar.com/plugins/responsive-photo-gallery-pro/"
                                target="_new">detail</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e( "Caption Font Style", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></label></th>
                <td>
                    <select name="wl-font-style" class="standard-dropdown" id="wl-font-style">
                        <optgroup label="Default Fonts">
                            <option value="Arial" <?php selected( $WL_Font_Style, 'Arial' ); ?>>Arial</option>
                            <option value="Arial Black" <?php selected( $WL_Font_Style, 'Arial Black' ); ?>>Arial
                                Black
                            </option>
                            <option value="Courier New" <?php selected( $WL_Font_Style, 'Courier New' ); ?>>Courier
                                New
                            </option>
                            <option value="cursive" <?php selected( $WL_Font_Style, 'cursive' ); ?>>Cursive</option>
                            <option value="fantasy" <?php selected( $WL_Font_Style, 'fantasy' ); ?>>Fantasy</option>
                            <option value="Georgia" <?php selected( $WL_Font_Style, 'Georgia' ); ?>>Georgia</option>
                            <option value="Grande"<?php selected( $WL_Font_Style, 'Grande' ); ?>>Grande</option>
                            <option value="Helvetica Neue" <?php selected( $WL_Font_Style, 'Helvetica Neue' ); ?>>
                                Helvetica Neue
                            </option>
                            <option value="Impact" <?php selected( $WL_Font_Style, 'Impact' ); ?>>Impact</option>
                            <option value="Lucida" <?php selected( $WL_Font_Style, 'Lucida' ); ?>>Lucida</option>
                            <option value="Lucida Console"<?php selected( $WL_Font_Style, 'Lucida Console' ); ?>>Lucida
                                Console
                            </option>
                            <option value="monospace" <?php selected( $WL_Font_Style, 'monospace' ); ?>>Monospace
                            </option>
                            <option value="Open Sans" <?php selected( $WL_Font_Style, 'Open Sans' ); ?>>Open Sans
                            </option>
                            <option value="Palatino" <?php selected( $WL_Font_Style, 'Palatino' ); ?>>Palatino</option>
                            <option value="sans" <?php selected( $WL_Font_Style, 'sans' ); ?>>Sans</option>
                            <option value="sans-serif" <?php selected( $WL_Font_Style, 'sans-serif' ); ?>>Sans-Serif
                            </option>
                            <option value="Tahoma" <?php selected( $WL_Font_Style, 'Tahoma' ); ?>>Tahoma</option>
                            <option value="Times New Roman"<?php selected( $WL_Font_Style, 'Times New Roman' ); ?>>Times
                                New Roman
                            </option>
                            <option value="Trebuchet MS" <?php selected( $WL_Font_Style, 'Trebuchet MS' ); ?>>Trebuchet
                                MS
                            </option>
                            <option value="Verdana" <?php selected( $WL_Font_Style, 'Verdana' ); ?>>Verdana</option>
                        </optgroup>
                    </select>
                    <p class="description">
                        <strong><?php _e( "Choose a caption font style.", WEBLIZAR_RPG_TEXT_DOMAIN ); ?> </strong> (Get
                        500+ Google fonts for gallery, View <a
                                href="http://weblizar.com/plugins/responsive-photo-gallery-pro/"
                                target="_new">detail</a> )</p>
                </td>
            </tr>

            <tr>
                <th scope="row"><label><?php _e( 'Custom CSS', 'WEBLIZAR_RPG_TEXT_DOMAIN' ) ?></label></th>
                <td>
					<?php if ( ! isset( $WL_Custom_CSS ) ) {
						$WL_Custom_CSS = "";
					} ?>
                    <textarea id="wl-custom-css" name="wl-custom-css" type="text" class=""
                              style="width:80%"><?php echo $WL_Custom_CSS; ?></textarea>
                    <p class="description">
						<?php _e( 'Enter any custom css you want to apply on this gallery.', 'WEBLIZAR_RPG_TEXT_DOMAIN' ) ?>
                        <br>
                    </p>
                    <p class="custnote"><?php _e( "Note", WEBLIZAR_RPG_TEXT_DOMAIN ); ?>
                        : <?php _e( "Please Do Not Use", WEBLIZAR_RPG_TEXT_DOMAIN ); ?>
                        &nbsp;<?php _e( "", WEBLIZAR_RPG_TEXT_DOMAIN ); ?>
                        <b><?php _e( "Style", WEBLIZAR_RPG_TEXT_DOMAIN ); ?></b>&nbsp;<?php _e( 'Tag With Custom CSS', WEBLIZAR_RPG_TEXT_DOMAIN ); ?>
                    </p>
                    <p class="submit" style="margin-top: 25px;">
                        <input type="submit" value="<?php _e( "Save Changes", WEBLIZAR_RPG_TEXT_DOMAIN ); ?>"
                               class="button button-primary" id="submit" name="submit">
                    </p>
                </td>
            </tr>
            </tbody>
        </table>
    </form>

<?php
if ( isset( $_POST['wl_action'] ) ) {
	$Action = $_POST['wl_action'];
	//save settings
	if ( $Action == "wl-save-settings" ) {
		$WL_Hover_Animation     = sanitize_option( 'WL_Hover_Animation', $_POST['wl-hover-animation'] );
		$WL_Open_Image_Link_Tab = sanitize_option( 'WL_Open_Image_Link_Tab', $_POST['wl-open-image-link-tab'] );
		$WL_Gallery_Layout      = sanitize_option( 'WL_Gallery_Layout', $_POST['wl-gallery-layout'] );
		$WL_Hover_Color         = sanitize_option( 'WL_Hover_Color', $_POST['wl-hover-color'] );
		$WL_Font_Style          = sanitize_option( 'WL_Font_Style', $_POST['wl-font-style'] );
		$WL_Image_View_Icon     = sanitize_option( 'WL_Image_View_Icon', $_POST['wl-image-view-icon'] );
		$WL_Gallery_Title       = sanitize_option( 'WL_Gallery_Title', $_POST['wl-gallery-title'] );
		$WL_Hover_Color_Opacity = sanitize_option( 'WL_Hover_Color_Opacity', $_POST['wl-hover-color-opacity'] );
		$WL_Custom_CSS          = sanitize_option( 'WL_Custom_CSS', $_POST['wl-custom-css'] );

		$SettingsArray = serialize( array(
			'WL_Hover_Animation'     => $WL_Hover_Animation,
			'WL_Open_Image_Link_Tab' => $WL_Open_Image_Link_Tab,
			'WL_Gallery_Layout'      => $WL_Gallery_Layout,
			'WL_Hover_Color'         => $WL_Hover_Color,
			'WL_Hover_Color_Opacity' => $WL_Hover_Color_Opacity,
			'WL_Font_Style'          => $WL_Font_Style,
			'WL_Image_View_Icon'     => $WL_Image_View_Icon,
			'WL_Gallery_Title'       => $WL_Gallery_Title,
			'WL_Custom_CSS'          => $WL_Custom_CSS
		) );

		update_option( "WL_IGP_Settings", $SettingsArray );
		echo "<script>location.href = location.href;</script>";
	}
}
?>